curl -X GET "https://api.growi.io/api/public/v1/stats/top_earning_creators?start_date=01/01/2023&end_date=01/31/2023&limit=5&page=1&per_page=20" \
-H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
-H "Content-Type: application/json"
{
"success": true,
"data": {
"top_creators": [
{
"creator_id": 12353,
"creator_name": "Alex Taylor",
"username": "@alextaylor",
"profile_image_url": "https://example.com/profile/alextaylor.jpg",
"total_earnings": 15870.42,
"currency": "USD",
"total_content": 28,
"earnings_per_post": 566.8,
"performance_score": 92.4,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 8450.75
}
},
{
"creator_id": 12354,
"creator_name": "Olivia Garcia",
"username": "@oliviagarcia",
"profile_image_url": "https://example.com/profile/oliviagarcia.jpg",
"total_earnings": 12485.68,
"currency": "USD",
"total_content": 34,
"earnings_per_post": 367.22,
"performance_score": 89.7,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 572,
"name": "Fall Fashion",
"earnings": 5840.25
}
},
{
"creator_id": 12355,
"creator_name": "James Wilson",
"username": "@jameswilson",
"profile_image_url": "https://example.com/profile/jameswilson.jpg",
"total_earnings": 10965.23,
"currency": "USD",
"total_content": 19,
"earnings_per_post": 577.12,
"performance_score": 91.2,
"primary_platform": "youtube",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 6780.4
}
},
{
"creator_id": 12356,
"creator_name": "Sophia Martinez",
"username": "@sophiamartinez",
"profile_image_url": "https://example.com/profile/sophiamartinez.jpg",
"total_earnings": 9876.51,
"currency": "USD",
"total_content": 25,
"earnings_per_post": 395.06,
"performance_score": 87.5,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 569,
"name": "Holiday Special",
"earnings": 4250.8
}
},
{
"creator_id": 12357,
"creator_name": "Daniel Lee",
"username": "@daniellee",
"profile_image_url": "https://example.com/profile/daniellee.jpg",
"total_earnings": 8745.32,
"currency": "USD",
"total_content": 22,
"earnings_per_post": 397.51,
"performance_score": 86.9,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 570,
"name": "Back to School",
"earnings": 3980.15
}
}
// Additional creators...
]
},
"meta": {
"current_page": 1,
"per_page": 20,
"row_count": 95,
"page_count": 5,
"has_more": true
}
}
Get top earning creators
deprecated
Retrieves your top creators ranked by earnings within a specified date range
GET
/
stats
/
top_earning_creators
curl -X GET "https://api.growi.io/api/public/v1/stats/top_earning_creators?start_date=01/01/2023&end_date=01/31/2023&limit=5&page=1&per_page=20" \
-H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
-H "Content-Type: application/json"
{
"success": true,
"data": {
"top_creators": [
{
"creator_id": 12353,
"creator_name": "Alex Taylor",
"username": "@alextaylor",
"profile_image_url": "https://example.com/profile/alextaylor.jpg",
"total_earnings": 15870.42,
"currency": "USD",
"total_content": 28,
"earnings_per_post": 566.8,
"performance_score": 92.4,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 8450.75
}
},
{
"creator_id": 12354,
"creator_name": "Olivia Garcia",
"username": "@oliviagarcia",
"profile_image_url": "https://example.com/profile/oliviagarcia.jpg",
"total_earnings": 12485.68,
"currency": "USD",
"total_content": 34,
"earnings_per_post": 367.22,
"performance_score": 89.7,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 572,
"name": "Fall Fashion",
"earnings": 5840.25
}
},
{
"creator_id": 12355,
"creator_name": "James Wilson",
"username": "@jameswilson",
"profile_image_url": "https://example.com/profile/jameswilson.jpg",
"total_earnings": 10965.23,
"currency": "USD",
"total_content": 19,
"earnings_per_post": 577.12,
"performance_score": 91.2,
"primary_platform": "youtube",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 6780.4
}
},
{
"creator_id": 12356,
"creator_name": "Sophia Martinez",
"username": "@sophiamartinez",
"profile_image_url": "https://example.com/profile/sophiamartinez.jpg",
"total_earnings": 9876.51,
"currency": "USD",
"total_content": 25,
"earnings_per_post": 395.06,
"performance_score": 87.5,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 569,
"name": "Holiday Special",
"earnings": 4250.8
}
},
{
"creator_id": 12357,
"creator_name": "Daniel Lee",
"username": "@daniellee",
"profile_image_url": "https://example.com/profile/daniellee.jpg",
"total_earnings": 8745.32,
"currency": "USD",
"total_content": 22,
"earnings_per_post": 397.51,
"performance_score": 86.9,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 570,
"name": "Back to School",
"earnings": 3980.15
}
}
// Additional creators...
]
},
"meta": {
"current_page": 1,
"per_page": 20,
"row_count": 95,
"page_count": 5,
"has_more": true
}
}
Deprecated. This is one of the old Home stats endpoints. It still works, but new
integrations should use the faster endpoints. Use Stores overview (
GET /stores/overview) and Shopify stats (GET /shopify/stats) top creators.
Responses carry Deprecation and Link headers.
It takes MM/DD/YYYY dates; the new endpoints take ISO 8601 (YYYY-MM-DD). See deprecations.Request parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
start_date | String | Start date in MM/DD/YYYY format | Yes |
end_date | String | End date in MM/DD/YYYY format | Yes |
limit | Integer | Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data. | No |
page | Integer | Page number for pagination. Default is 1. | No |
per_page | Integer | Number of results per page. Default is 40. Maximum is 100. | No |
Request example
curl -X GET "https://api.growi.io/api/public/v1/stats/top_earning_creators?start_date=01/01/2023&end_date=01/31/2023&limit=5&page=1&per_page=20" \
-H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
-H "Content-Type: application/json"
Response example
{
"success": true,
"data": {
"top_creators": [
{
"creator_id": 12353,
"creator_name": "Alex Taylor",
"username": "@alextaylor",
"profile_image_url": "https://example.com/profile/alextaylor.jpg",
"total_earnings": 15870.42,
"currency": "USD",
"total_content": 28,
"earnings_per_post": 566.8,
"performance_score": 92.4,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 8450.75
}
},
{
"creator_id": 12354,
"creator_name": "Olivia Garcia",
"username": "@oliviagarcia",
"profile_image_url": "https://example.com/profile/oliviagarcia.jpg",
"total_earnings": 12485.68,
"currency": "USD",
"total_content": 34,
"earnings_per_post": 367.22,
"performance_score": 89.7,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 572,
"name": "Fall Fashion",
"earnings": 5840.25
}
},
{
"creator_id": 12355,
"creator_name": "James Wilson",
"username": "@jameswilson",
"profile_image_url": "https://example.com/profile/jameswilson.jpg",
"total_earnings": 10965.23,
"currency": "USD",
"total_content": 19,
"earnings_per_post": 577.12,
"performance_score": 91.2,
"primary_platform": "youtube",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 6780.4
}
},
{
"creator_id": 12356,
"creator_name": "Sophia Martinez",
"username": "@sophiamartinez",
"profile_image_url": "https://example.com/profile/sophiamartinez.jpg",
"total_earnings": 9876.51,
"currency": "USD",
"total_content": 25,
"earnings_per_post": 395.06,
"performance_score": 87.5,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 569,
"name": "Holiday Special",
"earnings": 4250.8
}
},
{
"creator_id": 12357,
"creator_name": "Daniel Lee",
"username": "@daniellee",
"profile_image_url": "https://example.com/profile/daniellee.jpg",
"total_earnings": 8745.32,
"currency": "USD",
"total_content": 22,
"earnings_per_post": 397.51,
"performance_score": 86.9,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 570,
"name": "Back to School",
"earnings": 3980.15
}
}
// Additional creators...
]
},
"meta": {
"current_page": 1,
"per_page": 20,
"row_count": 95,
"page_count": 5,
"has_more": true
}
}
curl -X GET "https://api.growi.io/api/public/v1/stats/top_earning_creators?start_date=01/01/2023&end_date=01/31/2023&limit=5&page=1&per_page=20" \
-H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
-H "Content-Type: application/json"
{
"success": true,
"data": {
"top_creators": [
{
"creator_id": 12353,
"creator_name": "Alex Taylor",
"username": "@alextaylor",
"profile_image_url": "https://example.com/profile/alextaylor.jpg",
"total_earnings": 15870.42,
"currency": "USD",
"total_content": 28,
"earnings_per_post": 566.8,
"performance_score": 92.4,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 8450.75
}
},
{
"creator_id": 12354,
"creator_name": "Olivia Garcia",
"username": "@oliviagarcia",
"profile_image_url": "https://example.com/profile/oliviagarcia.jpg",
"total_earnings": 12485.68,
"currency": "USD",
"total_content": 34,
"earnings_per_post": 367.22,
"performance_score": 89.7,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 572,
"name": "Fall Fashion",
"earnings": 5840.25
}
},
{
"creator_id": 12355,
"creator_name": "James Wilson",
"username": "@jameswilson",
"profile_image_url": "https://example.com/profile/jameswilson.jpg",
"total_earnings": 10965.23,
"currency": "USD",
"total_content": 19,
"earnings_per_post": 577.12,
"performance_score": 91.2,
"primary_platform": "youtube",
"top_earning_campaign": {
"campaign_id": 567,
"name": "Summer Collection",
"earnings": 6780.4
}
},
{
"creator_id": 12356,
"creator_name": "Sophia Martinez",
"username": "@sophiamartinez",
"profile_image_url": "https://example.com/profile/sophiamartinez.jpg",
"total_earnings": 9876.51,
"currency": "USD",
"total_content": 25,
"earnings_per_post": 395.06,
"performance_score": 87.5,
"primary_platform": "instagram",
"top_earning_campaign": {
"campaign_id": 569,
"name": "Holiday Special",
"earnings": 4250.8
}
},
{
"creator_id": 12357,
"creator_name": "Daniel Lee",
"username": "@daniellee",
"profile_image_url": "https://example.com/profile/daniellee.jpg",
"total_earnings": 8745.32,
"currency": "USD",
"total_content": 22,
"earnings_per_post": 397.51,
"performance_score": 86.9,
"primary_platform": "tiktok",
"top_earning_campaign": {
"campaign_id": 570,
"name": "Back to School",
"earnings": 3980.15
}
}
// Additional creators...
]
},
"meta": {
"current_page": 1,
"per_page": 20,
"row_count": 95,
"page_count": 5,
"has_more": true
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date in MM/DD/YYYY format
End date in MM/DD/YYYY format
Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data.